/**
 * Copyright (c) HashiCorp, Inc.
 * SPDX-License-Identifier: MPL-2.0
 */
import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataUpcloudLoadBalancerDnsChallengeDomainConfig extends cdktf.TerraformMetaArguments {
}
/**
* Represents a {@link https://registry.terraform.io/providers/upcloudltd/upcloud/5.13.1/docs/data-sources/load_balancer_dns_challenge_domain upcloud_load_balancer_dns_challenge_domain}
*/
export declare class DataUpcloudLoadBalancerDnsChallengeDomain extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "upcloud_load_balancer_dns_challenge_domain";
    /**
    * Generates CDKTF code for importing a DataUpcloudLoadBalancerDnsChallengeDomain resource upon running "cdktf plan <stack-name>"
    * @param scope The scope in which to define this construct
    * @param importToId The construct id used in the generated config for the DataUpcloudLoadBalancerDnsChallengeDomain to import
    * @param importFromId The id of the existing DataUpcloudLoadBalancerDnsChallengeDomain that should be imported. Refer to the {@link https://registry.terraform.io/providers/upcloudltd/upcloud/5.13.1/docs/data-sources/load_balancer_dns_challenge_domain#import import section} in the documentation of this resource for the id to use
    * @param provider? Optional instance of the provider where the DataUpcloudLoadBalancerDnsChallengeDomain to import is found
    */
    static generateConfigForImport(scope: Construct, importToId: string, importFromId: string, provider?: cdktf.TerraformProvider): cdktf.ImportableResource;
    /**
    * Create a new {@link https://registry.terraform.io/providers/upcloudltd/upcloud/5.13.1/docs/data-sources/load_balancer_dns_challenge_domain upcloud_load_balancer_dns_challenge_domain} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataUpcloudLoadBalancerDnsChallengeDomainConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataUpcloudLoadBalancerDnsChallengeDomainConfig);
    get domain(): string;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
    protected synthesizeHclAttributes(): {
        [name: string]: any;
    };
}
